
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_alertinfo")]
    public class BaseAlertinfo
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 报警编码
        /// </summary>
        [Column("alert_no")]
        public string alertNo { get; set; }

        /// <summary>
        /// 报警内容
        /// </summary>
        [Column("alert_desc")]
        public string alertDesc { get; set; }

        /// <summary>
        /// 最小值
        /// </summary>
        [Column("alert_minval")]
        public int? alertMinval { get; set; }

        /// <summary>
        /// 最大值
        /// </summary>
        [Column("alert_maxval")]
        public int? alertMaxval { get; set; }

        /// <summary>
        /// 等于值
        /// </summary>
        [Column("alert_equipval")]
        public int? alertEquipval { get; set; }

        [Column("isdelete")]
        public int? isdelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }

        [Column("line_id")]
        public Guid? lineId { get; set; }
    }
}

